<?php
 // -- Espace de noms EPerso --
 namespace EPerso
 {
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Personnel:".$this->_nom.PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new \EPerso\Personnel("dupont"); // Syntaxe absolue
  $UnePers1->Affiche();
  $UnePers2 = new ECadre\Personnel("martin"); // Syntaxe relative
  $UnePers2->Affiche();
 }
 // -- Espace de noms EPerso\ECadre --
 namespace EPerso\ECadre
 {
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Cadre:".strtoupper($this->_nom).PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new Personnel("leroy");
  $UnePers1->Affiche();
  $UnePers2 = new \EPerso\ECadre\Personnel("dabert"); // Syntaxe absolue
  $UnePers2->Affiche();
 }
?>
